_RtpTransportModifier Struct Reference

## Data Fields

void * | data
RtpTransportModifierLevel | level
struct _RtpSession * | session
struct _RtpTransport * | transport
int(* | t_process_on_send )(struct _RtpTransportModifier *t, mblk_t *msg)
int(* | t_process_on_receive )(struct _RtpTransportModifier *t, mblk_t *msg)
void(* | t_process_on_schedule )(struct _RtpTransportModifier *t)
void(* | t_destroy )(struct _RtpTransportModifier *transport)

## Field Documentation

## t_destroy

void(* _RtpTransportModifier::t_destroy) (struct _RtpTransportModifier *transport)

Mandatory callback responsible of freeing the _RtpTransportModifier AND the pointer.

Parameters

  [in] | transport | _RtpTransportModifier object to free.

The documentation for this struct was generated from the following file:

- rtpsession.h